{ pkgs, lib, ... }:
let

  # https://www.zigbee2mqtt.io/devices/SPZB0001.html
  allDevices = {
    "repeater1" = { id = "0x680ae2fffe6e7dc1"; };
    "repeater2" = { id = "0x680ae2fffe8e240d"; };
    "repeater3" = { id = "0x680ae2fffe404f60"; };
    "repeater4" = { id = "0x680ae2fffe8e2e71"; };
  };

in
{
  services.zigbee2mqttConfiguration = lib.mapAttrs'
    (name:
      { id, ... }: {
        name = id;
        value = { friendly_name = name; };
      })
    allDevices;
}
