{ config, pkgs, ... }: {
  environment.systemPackages = with pkgs; [
    mosh
    mediainfo
    youtube-dl
    ipset # for sshguard

    unstable.vulnix
    (pkgs.writers.writeBashBin "vulnix-system" ''
      ${pkgs.unstable.vulnix}/bin/vulnix --profile /nix/var/nix/profiles/system
    '')

  ];
}
