{ config, lib, pkgs, ... }:

with lib;

{

  module.cluster.services.tinc = {
    "secret" = {
      enable = true;
      openPort = true;
      connectTo = [ "robi" ];
    };
  };

  users.users."tinc.secret".group = "tinc.secret";
  users.groups."tinc.secret" = { };

}
