{ config, lib, pkgs, ... }:

{

  virtualisation.libvirtd.enable = true;
  #virtualisation.libvirtd.allowedBridges = ["virbr0"];
  virtualisation.libvirtd.onShutdown = "shutdown";

  environment.systemPackages = [
    pkgs.qemu_kvm
    pkgs.virt-manager
  ];

  users.users.mainUser.extraGroups = [ "libvirtd" ];


}
