{ config, lib, pkgs, ... }: {

  imports = [
    ../../system/all
    ./netdata.nix
    ./initssh.nix
    #./graylog-exporter.nix
    ./prometheus-exporters.nix
    ./packages.nix
  ];

  # make sure laptops stay awake when closing the montior
  services.logind.lidSwitch = "ignore";
  powerManagement.enable = false;
  powerManagement.scsiLinkPolicy = "min_power";

  # config vim
  programs.custom.vim.enable = true;

  services.locate.enable = true;
  services.locate.locate = pkgs.mlocate;
  services.locate.localuser = null;


}

