{ pkgs ? import <nixpkgs> { } }:
let pass_access_token_path = "development/graylog/access_token";

in pkgs.mkShell {

  buildInputs = with pkgs; [
    git-crypt
    terranix
    (writers.writeBashBin "terraform" ''
      export GRAYLOG_AUTH_NAME=`${pkgs.pass}/bin/pass show ${pass_access_token_path}`
      ${pkgs.terraform_0_15}/bin/terraform "$@"
    '')
  ];

}
