{ config, pkgs, lib, ... }: {
  imports = [
    ./options.nix
    # codimd.${hostName}
    ./codimd.nix
    ./hardware-configuration.nix
    # meet.${hostName}
    ./jitsi.nix
    # netdata.${hostName}
    #./netdata.nix
    ./ssh.nix
    # party.${hostName}
    # api.party.${hostName}
    # push.party.${hostName}
    # play.party.${hostName}
    # upload.party.${hostName}
    ./workadventure.nix
  ];

  environment.systemPackages =
    [ pkgs.git pkgs.docker-compose pkgs.ag pkgs.htop ];

  # party.${hostName}
  # api.party.${hostName}
  # push.party.${hostName}
  # play.party.${hostName}
  # upload.party.${hostName}

  networking.hostName = "host";
  workadventure.domain = "palovandalo.com";
  security.acme.email = "contact@ingolf-wagner.de";
  security.acme.acceptTerms = true;

}
