{ config, pkgs, lib, ... }:

with lib;

let

  cfg = config.programs.custom.easytag;

in
{

  options.programs.custom.easytag.enable =
    mkEnableOption "install easytag with dependencies";

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [ easytag dconf ];
  };
}

