{ config, lib, pkgs, ... }:
let
  package = pkgs.unstable.hoard;
in
{
  environment.systemPackages = [ package ];

  #home-manager.users.mainUser.programs.direnv.enable = true;

  #programs.zsh.interactiveShellInit = ''
  #  source ${package}/src/shell/hoard.zsh
  #'';
  #programs.bash.interactiveShellInit = ''
  #  source ${package}/src/shell/hoard.bash
  #'';

  backup.dirs = [
    "${config.users.users.mainUser.home}/.config/hoard"
  ];

}
